<?php

namespace App\Filters\Application\Post;

use App\Filters\FilterBuilder;
use App\Filters\Traits\DateRangeFilter;
use App\Filters\Traits\StatusFilterTrait;
use Illuminate\Database\Eloquent\Builder;

class PostFilter extends FilterBuilder
{
    use DateRangeFilter, StatusFilterTrait;

    public function search($value = null)
    {
        $this->builder->when($value, function (Builder $builder) use ($value) {
            $builder->where('body', "LIKE", "%{$value}%");
        });
    }
}
