<?php

namespace App\Filters\Application\User;

use App\Filters\FilterBuilder;
use App\Filters\Traits\DateRangeFilter;
use App\Filters\Traits\StatusFilterTrait;
use Illuminate\Database\Eloquent\Builder;

class TeamFilter extends FilterBuilder
{
    use DateRangeFilter, StatusFilterTrait;

    public function search($value = null)
    {
        $this->builder->when($value, function (Builder $builder) use ($value) {
            $builder->where('name', "LIKE", "%{$value}%")
                ->orWhere(fn(Builder $b) => $b->whereHas(
                    'manager',
                    fn(Builder $bb) => $bb->where('first_name', "LIKE", "%{$value}%")
                        ->orWhere('last_name', "LIKE", "%{$value}%")
                        ->orWhereRaw("CONCAT(`first_name`, ' ', `last_name`) LIKE '%$value%'")
                ));
        });
    }
}
