<?php

namespace App\Http\Composer;

use App\Http\Composer\Helper\AdministrationPermissions;
use Illuminate\View\View;

class SidebarComposer
{
    public function compose(View $view)
    {

        $menu = [
            [
                'url' => route('core.dashboard'),
                'icon' => 'pie-chart',
                'name' => __t('dashboard'),
                'permission' => authorize_any(['manage_dashboard']),
            ],
//            [
//                'url' => route('client.feed'),
//                'icon' => 'cast',
//                'name' => __t('feed'),
//                'permission' => true,
//            ],
            [
                'url' => route('my-profile.view'),
                'icon' => 'user',
                'name' => trans('default.my_profile'),
                'permission' => true,
            ],
//            [
//                'url' => route('example-table.view'),
//                'icon' => 'grid',
//                'name' => trans('custom.example_table'),
//                'permission' => authorize_any(['view_example','create_example','delete_example','update_example']),
//            ],
            AdministrationPermissions::new(true)->canVisit() ?
            [
                'name' => __t('administration'),
                'icon' => 'briefcase',
                'id' => 'administration',
                'permission' => AdministrationPermissions::new(true)->canVisit(),
                'subMenu' => AdministrationPermissions::new(true)->subMenu()
            ] : [],
            [
                'icon' => 'settings',
                'name' => trans('custom.settings'),
                'url' => request()->root() . '/app-setting',
                'permission' => authorize_any(
                    [
                        'view_settings',
                        'update_settings',
                        'view_delivery_settings',
                        'update_delivery_settings',
                        'view_notification_settings',
                        'update_notification_settings',
                        'update_notification_templates',
                        'view_notification_templates',
                    ]
                ),
            ],
        ];


        $view->with(['data' => $menu]);
    }
}
