<?php

namespace App\Http\Controllers\Admin\Navigation;

use App\Http\Controllers\Controller;
use App\Models\Core\Auth\User;

class NavigationController extends Controller
{
    public function myProfile()
    {
        return view('admin.profile.index');
    }

    public function exampleTable()
    {
        return view('admin.example.table');
    }

    public function viewUserAndRole()
    {
        return view('admin.user_and_role.index');
    }

    public function appSetting()
    {
        return view('admin.setting.index', ['permissions' => [
            'general' => authorize_any(['view_settings', 'update_settings']),
            'email_settings' => authorize_any(['view_delivery_settings', 'update_delivery_settings']),
            'sms_settings' => authorize_any(['view_sms_settings', 'update_sms_settings']),
            'recaptcha_settings' => authorize_any(['view_recaptcha_settings', 'update_recaptcha_settings']),
            'notification' => authorize_any(['view_notification_settings', 'update_notification_settings', 'view_notification_templates', 'update_notification_templates']),
        ]]);
    }

    public function notificationList()
    {
        return view('admin.notification.index');
    }

    public function teams()
    {
        return view('admin.teams.index');
    }

    public function userProfile(User $user)
    {
        $user->load('coverPicture:id,path,fileable_type,fileable_id'
            , 'profile:user_id,about,address,gender,date_of_birth', 'socialLinks');

        return view('client.profile',
            [
                'user' => $user->only('id', 'first_name', 'last_name', 'full_name', 'email', 'uuid',
                    'coverPicture', 'profile', 'socialLinks')
            ]);
    }
    public function userGallery(User $user)
    {
        $user->load('coverPicture:id,path,fileable_type,fileable_id');
        return view('client.gallery', ['user' => $user->only('id', 'first_name', 'last_name', 'full_name', 'email', 'uuid', 'coverPicture')]);
    }
}
