<?php

namespace App\Http\Controllers\Application\User;

use App\Http\Controllers\Controller;
use App\Models\Application\User\Team;
use App\Repositories\Core\Status\StatusRepository;
use App\Services\Application\User\TeamService;
use Illuminate\Http\Request;

class TeamStatusUpdateController extends Controller
{
    public function __construct(TeamService $service)
    {
        $this->service = $service;
    }

    public function __invoke(Team $team, Request $request)
    {
        $method = $team->isActive() ? 'teamInactive' : 'teamActive';

        $status_id = resolve(StatusRepository::class)->$method();

        $this->service
            ->setAttributes([
                'status_id' => $status_id
            ])
            ->setModel($team)
            ->save();

        return status_response(
            'team',
            $team->isActive() ? 'status_active' : 'status_inactive',
            [
                'data' => $team
            ]
        );
    }
}
