<?php

namespace App\Http\Controllers\Application\User;

use App\Http\Controllers\Controller;
use App\Models\Application\User\Team;
use App\Models\Core\Auth\User;
use Illuminate\Http\Request;

class TeamUserController extends Controller
{
    public function attachUsers(Team $team, Request $request)
    {
        $request->validate([
            'users' => 'required|array'
        ]);

        $team->users()->syncWithoutDetaching($request->get('users', []));

        return attached_response('users');
    }

    public function detachUser(Team $team, User $user)
    {
        $team->users()->detach($user->id);

        return detached_response('users');
    }
}
