<?php

namespace App\Http\Controllers\Core\Auth\User;

use App\Http\Controllers\Controller;
use App\Models\Application\User\TeamUser;
use App\Models\Core\Auth\User;
use Illuminate\Http\Request;

class AuthenticateUserController extends Controller
{
    public function show()
    {
        $user = auth()->user()->load('roles:id,name',
            'profile:id,user_id,gender,date_of_birth,address,contact,about',
            'profilePicture:id,path,fileable_type,fileable_id',
            'coverPicture:id,path,fileable_type,fileable_id',
            'status:id,name,class', 'socialLinks',
            'teams:id,name'
        )->loadCount(['teams', 'posts']);
        $teammates = $user->isAdmin() ? User::where('id', '!=', auth()->id())->count()
            : TeamUser::whereIn('team_id', $user->teams->pluck('id')->toArray())->where('user_id', '!=', auth()->id())->count();
        $user->teammates_count = $teammates;
        return $user;
    }
}
