<?php

namespace App\Http\Requests\Application\Post;

use App\Http\Requests\BaseRequest;

class PostRequest extends BaseRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'body' => 'required',
            'attachments' => 'nullable|array',
            'remove_attachments' => 'nullable|array',
            'shared_with' => 'string|in:public,team',
            'teams' => 'nullable|array',
            'teams.*' => 'required|exists:teams,id',
            // further validation required for current your can select only his teams.
        ];
    }
}
