<?php


namespace App\Mail\Tag\Application;

use App\Mail\Tag\Tag;
use App\Models\Application\Post\Post;

class PostTag extends Tag
{
    public Post $post;

    public function __construct($post, $notifier = null, $receiver = null)
    {
        $this->post = $post;
        $this->notifier = $notifier;
        $this->receiver = $receiver;
        $this->resourceurl = route('core.dashboard');
    }
    public function notification()
    {
        return [
            '{receiver_name}' => $this->receiver->full_name,
            '{app_logo}' => asset(config('settings.application.company_logo')),
            '{app_name}' => config('settings.application.company_name'),
            '{action_by}' => $this->notifier->full_name ?? 'action_by',
            '{resource_url}' => $this->resourceurl,
        ];
    }
}