<?php


namespace App\Mail\Tag\Application;


use App\Mail\Tag\Tag;
use App\Models\Application\Post\CommentReply;

class ReplyTag extends Tag
{
    protected CommentReply $comment;
    public function __construct($comment, $notifier = null, $receiver = null)
    {
        $this->comment = $comment;
        $this->notifier = $notifier;
        $this->receiver = $receiver;
        $this->resourceurl = route('core.dashboard');
    }
    public function notification()
    {
        return array_merge([
            '{receiver_name}' => $this->receiver->full_name,
            '{app_logo}' => asset(config('settings.application.company_logo')),
            '{app_name}' => config('settings.application.company_name'),
            '{action_by}' => $this->notifier->full_name ?? 'action_by',
            '{resource_url}' => $this->resourceurl,
        ], $this->common());
    }
}
