<?php

namespace App\Models\Application\Post;

use App\Models\Application\Traits\Relationships\UserRelationship;
use App\Models\Core\BaseModel;

class PostReaction extends BaseModel
{
    use UserRelationship;
    protected $fillable = [
        'user_id', 'reaction_id',
        'reactable_type', 'reactable_id'
    ];

    protected $hidden = [
        'reactable_type', 'reactable_id'
    ];

    public function reactable()
    {
        return $this->morphTo();
    }

    public function reaction(): \Illuminate\Database\Eloquent\Relations\BelongsTo
    {
        return $this->belongsTo(Reaction::class, 'reaction_id');
    }
}
