<?php

namespace App\Models\Application\User;

use App\Models\Application\Traits\Relationships\TeamRelationship;
use App\Models\Application\Traits\Relationships\UserRelationship;
use Illuminate\Database\Eloquent\Relations\Pivot;

class TeamUser extends Pivot
{
    use TeamRelationship, UserRelationship;

    protected $fillable = [
        'joined_at', 'team_id', 'user_id'
    ];

    public $timestamps = false;


    public static function boot()
    {
        parent::boot();

        static::creating(function ($pivot) {
            $pivot->joined_at = now();
        });
    }
}
