<?php

namespace App\Notifications\Application;

use App\Mail\Tag\Application\PostTag;
use App\Notifications\BaseNotification;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;

class PostNotification extends BaseNotification implements ShouldQueue
{
    use Queueable;

    public function __construct($templates, $via, $post, $auth = null)
    {
        $this->templates = $templates;
        $this->via = $via;
        $this->model = $post;
        $this->auth = $auth ?? auth()->user();
        $this->tag = PostTag::class;
        parent::__construct();
    }

    public function parseNotification()
    {
        $this->mailView = 'notification.mail.template';
        $this->databaseNotificationUrl = route('core.dashboard');

        $this->mailSubject = optional($this->template()->mail())->parseSubject([
            '{action_by}' => $this->auth->full_name,
            '{app_name}' => config('settings.application.company_name')
        ]);

        $this->databaseNotificationContent = optional($this->template()->database())->parse([
            '{action_by}' => $this->auth->full_name,
        ]);
    }
}
