<?php

namespace App\Services\Application\Post;

use App\Helpers\Core\Traits\FileHandler;
use App\Helpers\Core\Traits\HasWhen;
use App\Models\Application\Post\CommentReply;
use App\Notifications\Application\ReplyNotification;
use App\Services\Core\BaseService;

class CommentReplyService extends BaseService
{
    use HasWhen, FileHandler;

    public function __construct(CommentReply $comment_reply)
    {
        $this->model = $comment_reply;
    }

    public function notify($audiences, $auth = null) {
        if (!$auth) {
            $auth = auth()->user();
        }

        notify()
            ->on('comment_replied')
            ->with([$this->model, $auth])
            ->audiences($audiences)
            ->send(ReplyNotification::class);
    }
}
