<?php

namespace App\Services\Application\Post;

use App\Helpers\Core\Traits\FileHandler;
use App\Helpers\Core\Traits\HasWhen;
use App\Models\Application\Post\PostComment;
use App\Notifications\Application\CommentNotification;
use App\Services\Core\BaseService;

class PostCommentService extends BaseService
{
    use HasWhen, FileHandler;

    public function __construct(PostComment $comment)
    {
        $this->model = $comment;
    }

    public function deleteReplies() {
        $this->model->replies()->delete();
        return $this;
    }

    public function notify($audiences, $auth = null) {
        if (!$auth) {
            $auth = auth()->user();
        }

        notify()
            ->on('post_commented')
            ->with([$this->model, $auth])
            ->audiences($audiences)
            ->send(CommentNotification::class);
    }
}
