<?php

namespace Database\Factories\Application\Post;

use App\Models\Application\Post\Post;
use App\Models\Core\Auth\User;
use App\Repositories\Core\Status\StatusRepository;
use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Application\Post\Post>
 */
class PostFactory extends Factory
{
    protected $model = Post::class;

    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition()
    {
        return [
            'body' => $this->faker->paragraph(),
            'user_id' => User::inRandomOrder()->first()->id, //random user.
            'shared_with' => $this->faker->randomElement(['public', 'team']),
            'status_id' => resolve(StatusRepository::class)->postPublished(),
            'shared_post_id' => Post::where('shared_with', 'public')->inRandomOrder()->first()->id ?? null, //random public post.,
            'created_at' => $this->faker->dateTimeBetween('-1 month', 'now'),
        ];
    }
}
