<?php
namespace Database\Seeders\Application\Post;

use App\Helpers\Core\Traits\FileHandler;
use App\Models\Application\Post\Post;
use App\Models\Core\File\File;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Str;

class PostAttachmentSeeder extends Seeder
{
    use FileHandler;
    /**
     * Run the database seeders.
     *
     * @return void
     */
    public function run()
    {
        $this->command->getOutput()->newLine();
        $bar = $this->command->getOutput()->createProgressBar(100);
        $posts = Post::orderBy('created_at', 'desc')->limit(50)->get();
        $attachments = [];
        foreach($posts as $post) {
            // make a logic to delete already seeded images.
//            $images = json_decode(file_get_contents("https://unsplash.com/napi/search?query=software&xp=feedback-loop-v2%3A&per_page=6&page={$post->id}"), true);
            $api_key = env('PIXABAY_API_KEY');
            if(!$api_key) continue;
            $images = json_decode(file_get_contents("https://pixabay.com/api/?key=$api_key&q=nature+animals+flower&image_type=photo&page=$post->id&per_page=10"), true);
            for($i = 0; $i<rand(0, 5); $i++) {
//                $url = data_get($images, "photos.results.{$i}.urls.raw", 'https://images.unsplash.com/photo-1516387938699-a93567ec168e?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9') . '&w=430&h=360&fit=crop&fm=jpg';
                $url = data_get($images, "hits.{$i}.webformatURL", 'https://images.unsplash.com/photo-1516387938699-a93567ec168e?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9');
                $path = 'post/' . Str::random() . '.jpg';
                Storage::disk('public')->put($path, file_get_contents($url));
                $attachments[] = [
                    'path' => '/storage/'.$path,
                    'fileable_type' => Post::class,
                    'fileable_id' => $post->id,
                    'type' => 'image',
                    'created_at' => now(),
                    'updated_at' => now(),
                ];
                $bar->advance();
            }
        }
        File::insert($attachments);
        $bar->finish();
        $this->command->getOutput()->newLine();
    }
}
