<?php
namespace Database\Seeders\Application\Post;

use App\Models\Application\Post\Post;
use App\Models\Application\User\TeamUser;
use Illuminate\Database\Seeder;
use Faker\Factory as Faker;

class PostTeamTableSeeder extends Seeder
{
    /**
     * Run the database seeders.
     *
     * @return void
     */
    public function run()
    {
        $faker = Faker::create();
        // if it shared with team, then set teams.
        $posts = Post::where('shared_with', 'team')->get();
        foreach($posts as $post) {
            $teamIds = TeamUser::where('user_id', $post->user_id)->pluck('team_id')->toArray();
            $postTeamIds = count($teamIds) > 0 ? $faker->randomElements($teamIds, rand(1, count($teamIds)-1)) : [];
            $post->teams()->attach($postTeamIds);
        }
    }
}
