<?php

namespace Database\Seeders\Application;

use App\Models\Application\User\Team;
use App\Models\Core\Auth\User;
use App\Repositories\Core\Status\StatusRepository;
use Illuminate\Database\Seeder;

class TeamTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $manager = User::query()->first();
        $activeStatus = resolve(StatusRepository::class)->teamActive();
        Team::query()->insert([
            [
                'name' => 'Admin & HRM',
                'status_id' => $activeStatus,
                'manager_id' => $manager->id,
                'created_at' => now(),
            ],
            [
                'name' => 'Accounts',
                'status_id' => $activeStatus,
                'manager_id' => $manager->id,
                'created_at' => now(),
            ],
            [
                'name' => 'Development',
                'status_id' => $activeStatus,
                'manager_id' => $manager->id,
                'created_at' => now(),
            ],
            [
                'name' => 'Software',
                'status_id' => $activeStatus,
                'manager_id' => $manager->id,
                'created_at' => now(),
            ],
            [
                'name' => 'UI & UX',
                'status_id' => $activeStatus,
                'manager_id' => $manager->id,
                'created_at' => now(),
            ],
            [
                'name' => 'Backend',
                'status_id' => $activeStatus,
                'manager_id' => $manager->id,
                'created_at' => now(),
            ],
            [
                'name' => 'Frontend',
                'status_id' => $activeStatus,
                'manager_id' => $manager->id,
                'created_at' => now(),
            ],
            [
                'name' => 'QA Specialist',
                'status_id' => $activeStatus,
                'manager_id' => $manager->id,
                'created_at' => now(),
            ],
            [
                'name' => 'DevOps',
                'status_id' => $activeStatus,
                'manager_id' => $manager->id,
                'created_at' => now(),
            ],
            [
                'name' => 'Project Manager',
                'status_id' => $activeStatus,
                'manager_id' => $manager->id,
                'created_at' => now(),
            ],
            [
                'name' => 'Tech Lead',
                'status_id' => $activeStatus,
                'manager_id' => $manager->id,
                'created_at' => now(),
            ],
        ]);
    }
}