<?php

namespace Database\Seeders\Application;

use App\Models\Application\User\Team;
use App\Models\Application\User\TeamUser;
use App\Models\Core\Auth\User;
use Illuminate\Database\Seeder;

class UserTeamSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $users = User::where('id', '!=', 1)
            ->get();

        $userTeams = [];
        // admin will assign to all teams.
//        $teams = Team::pluck('id')->toArray();
//        foreach ($teams as $team) {
//            $userTeams[] = [
//                'joined_at' => now()->subDays(rand(10, 365)),
//                'team_id' => $team,
//                'user_id' => 1
//            ];
//        }

        // single user will randomly add to multiple teams
        foreach ($users as $user) {
            $take = rand(1,3);
            if($user->id == 2) $take = 7;
            $teamIds = Team::inRandomOrder()
                ->limit($take)
                ->distinct()
                ->pluck('id')
                ->toArray();
            foreach ($teamIds as $teamId) {
                $userTeams[] = [
                    'joined_at' => now()->subDays(rand(10, 365)),
                    'team_id' => $teamId,
                    'user_id' => $user->id
                ];
            }
        }

//        $userTeams = User::where('id', '!=', 1)
//            ->get()
//            ->map(function (User $user) {
//                return [
//                    'joined_at' => now()->subDays(rand(10, 365)),
//                    'team_id' => Team::inRandomOrder()->first()->id,
//                    'user_id' => $user->id
//                ];
//            })->toArray();

        TeamUser::insert($userTeams);
    }
}
