<!doctype html>
<html dir="<?php echo e(config('settings.application.layout')); ?>" lang="<?php  app()->getLocale(); ?>">

<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <title><?php echo $__env->yieldContent('title'); ?> - <?php echo e(config('app.name')); ?> </title>
    <link rel="shortcut icon" href="<?php echo e(url(config('settings.application.company_icon'))); ?>" />
    <link rel="apple-touch-icon" href="<?php echo e(url(config('settings.application.company_icon'))); ?>" />
    <link rel="apple-touch-icon-precomposed" href="<?php echo e(url(config('settings.application.company_icon'))); ?>" />

    
    <?php echo $__env->yieldPushContent('before-styles'); ?>
    <?php echo e(style(mix('css/dropzone.css'))); ?>

    <?php echo e(style(mix('css/core.css'))); ?>

    <?php echo e(style(mix('css/fontawesome.css'))); ?>

    <?php echo $__env->yieldPushContent('after-styles'); ?>
</head>
<body>
<div id="app">
    
    <?php echo $__env->yieldContent('contents'); ?>
</div>

<?php echo $__env->yieldPushContent('before-scripts'); ?>
<script>
    window.localStorage.setItem('app-language', '<?php echo app()->getLocale() ?? "en"; ?>');

    window.localStorage.setItem('app-languages',
        JSON.stringify(
            <?php echo json_encode(include resource_path() . DIRECTORY_SEPARATOR . 'lang' . DIRECTORY_SEPARATOR . (app()->getLocale() ?? 'en') . DIRECTORY_SEPARATOR . 'default.php') ?>
        )
    );

    window.appLanguage = window.localStorage.getItem('app-language');
    window.localStorage.setItem('base_url', '<?php echo e(request()->root()); ?>');
</script>
<?php echo script(mix('js/manifest.js')); ?>

<?php echo script(mix('js/vendor.js')); ?>

<?php echo script(mix('js/core.js')); ?>

<?php echo $__env->yieldPushContent('after-scripts'); ?>

</body>
</html><?php /**PATH /home/l0r3ghjlih6t/public_html/networldly.com/src/resources/views/layouts/guest.blade.php ENDPATH**/ ?>